Bug 26213 - Remove the use of jquery.checkboxes plugin when adding orders from MARC file
Summary: Remove the use of jquery.checkboxes plugin when adding orders from MARC file
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26006
  Show dependency treegraph
 
Reported: 2020-08-14 14:17 UTC by Owen Leonard
Modified: 2020-09-20 18:11 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04, 19.11.10


Attachments
Bug 26213: Remove the use of jquery.checkboxes plugin when adding orders from MARC file (2.93 KB, patch)
2020-08-14 14:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26213: Remove the use of jquery.checkboxes plugin when adding orders from MARC file (2.98 KB, patch)
2020-08-17 16:05 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 26213: Remove the use of jquery.checkboxes plugin when adding orders from MARC file (3.04 KB, patch)
2020-08-17 21:51 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-08-14 14:17:28 UTC
As described in Bug 26006 the jquery.checkboxes plugin is old and unmaintained. 

Its use should be replaced when adding orders to a basket from a MARC file.
Comment 1 Owen Leonard 2020-08-14 14:31:47 UTC Comment hidden (obsolete)
Comment 2 Amit Gupta 2020-08-17 16:05:49 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2020-08-17 21:51:57 UTC
Created attachment 108420 [details] [review]
Bug 26213: Remove the use of jquery.checkboxes plugin when adding orders from MARC file

This patch removes the use of the jquery.checkboxes plugin from the page
for adding orders to a basket from a staged MARC file.

This patch fixes an unreported bug wherein the "select all" and "clear
all" controls affected not only MARC record checkboxes but also the
"show inactive funds" checkboxes.

To test, apply the patch and go to Acquisitions.

- Go to Vendor -> Add to basket -> From a staged file.
- Select a staged file with multiple records.
- Test the "Select all" and "Clear all" links at the top of the "Select
  to import" tab. They should work correctly to select and deselect
  checkboxes corresponding to staged MARC records.

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-08-18 15:48:13 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-09-04 15:14:46 UTC
backported to 20.05.x for 20.05.04
Comment 6 Aleisha Amohia 2020-09-10 03:39:23 UTC
backported to 19.11.x for 19.11.10
Comment 7 Victor Grousset/tuxayo 2020-09-20 18:11:37 UTC
Not backported to oldoldstable (19.05.x). Feel free to ask if it's needed.